# musescore-serifjazz-chords

*musescore-serifjazz-chords* provides a [Musescore](https://musescore.org/) [chord symbol style file](https://musescore.org/en/handbook/chord-symbols#appearance) with Jazz-style superscripts and font distinctions, and stacked chord alterations, while using standard (sans-)serif fonts congruent with standard engraving formatting.

![Screenshot](https://yingtongli.me/git/musescore-serifjazz-chords/plain/Screenshot.png)

## Usage

From the [files in this repository](https://yingtongli.me/git/musescore-serifjazz-chords/tree/), download the XML file corresponding to the desired staff spacing. XML files are available for the default spacing of 1.764mm, and for various Rastral sizes.

Load the XML file into Musescore via *Format → Style → Chord Symbols → Appearance → Custom*.

### Additional features

To achieve better kerning with A chords, use `*`. For example, type `A*7` or `A*o` instead of `A7` or `Ao` to position the modifier/extension more snugly with the ‘A’. The exception is the half diminished (ø) chord, for which you should type `A*h` (not `A*0`).

### Fonts

The layout parameters in these XML files are designed for, and expect, the *FreeSerif* and *FreeSans* fonts.

## Information for contributors

XML files corresponding to specific staff sizes should not be directly edited. They are automatically generated from *chords_serifjazz.m4.xml*. This is an [m4](https://en.wikipedia.org/wiki/M4_%28computer_language%29) file, which automatically substitutes appropriate layout parameters for each staff size.

Output XML files can be regenerated using the *build.sh* script. Additional staff sizes can be introduced by editing this script.

The m4 files accept the following parameters, configured using the `-DKEY=VALUE` command line switch:

* *FONT_MUSIC*: The name of the font used for musical symbols: sharps, flats and (half-)diminished symbols.
* *FONT_SERIF*: The name of the font used for chord letters.
* *FONT_SANS*: The name of the font used for extensions and alterations.
* *AMT_SUP*: The amount (in 1/5 MuseScore spatium units) to raise text to be superscripted. This needs to be set for each individual staff size.
* *AMT_UNSUP*: The amount (in 1/5 MuseScore spatium units) to correct for characters already superscripted in the font (e.g. the degree symbol for diminished chords).
* *SUS_SUPER*: Set this key if *sus* is to be superscripted.
* *CHORD_FORMS*: Set this key if forms for specific chords are to be generated (e.g. automatically convert Cmmaj7 to Cm<sup>(maj7)</sup>, and stack chord alterations).
* *SYM_MI*: The symbol to be used for minor chord forms (has effect only if *CHORD_FORMS* is enabled), e.g. *m* or *MI* or *mi*.
* *SYM_MA*: The symbol to be used for major chord forms (has effect only if *CHORD_FORMS* is enabled), e.g. *maj* or *MA*.
